TortoiseSVN 1.8兼容性问题

2014/07/15 23:07
阅读数 582

Local Client Compatibility

Subversion working copies are sometimes accessed using several different clients, e.g. TortoiseSVN, AnkhSVN, and the svn command line client. Because the working copy format has changed with this release, 1.8 clients cannot access an earlier working copy without first upgrading it. Pre-1.8 clients cannot access 1.8 working copies at all and there is no downgrade option.

Migrating to 1.8 working copies must be considered a one-way operation. If you need to use multiple clients on the same working copy then be sure that you can update all the clients before upgrading the working copy.

本地客户端兼容性

Subversion工作副本有时候会使用几个不同的客户端,如:TortoiseSVN、AnkhSVN和svn命令行。因为发布后工作副本的格式已经改变,在没有更新工作副本前1.8客户端不能访问之前版本的工作副本。1.8版本之前的客户端不能访问1.8版本的工作副本而且没有降级选项。


迁移到1.8的工作副本必须被理解为一个单向操作。 如果你需要在同一个工作副本使用多个客户端,必须确认在更新工作副本前更新所有的客户端。

Client Server Compatibility

Older clients and servers interoperate transparently with 1.8 servers and clients. That is to say, you can use a 1.8 client with an older server, and you can use a 1.8 server with older clients. However, some of the new 1.8 features may not be available unless both client and server are the latest version. There are also cases where a new feature will work but will run less efficiently if the client is new and the server old.

客户端服务端兼容性

旧版本的客户端和服务器与1.8版本服务器和客户端可以透通的交互操作。也就是说,你可以用一个1.8版本客户端和一个旧版本服务器,也可以用一个1.8版本服务端和旧版本客户端。然而,1.8版本的新功能可能不可用除非服务端和客户端都是最新版本。还有情况是:如果服务端是旧版本,客户端是新版本,新功能可以使用但是效率低。



展开阅读全文
加载中

作者的其它热门文章

打赏
0
0 收藏
分享
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部
返回顶部
顶部